DBLClickSelectMapMouseInterpreter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.event
Class DBLClickSelectMapMouseInterpreter

    java.lang.Object
      com.bbn.openmap.omGraphics.event.StandardMapMouseInterpreter
          com.bbn.openmap.omGraphics.event.DBLClickSelectMapMouseInterpreter

All Implemented Interfaces:
  MapMouseListener, MapMouseInterpreter

    public class DBLClickSelectMapMouseInterpreter

extends StandardMapMouseInterpreter

The DBLClickSelectMapMouseInterpreter is an extension of the StandardMapMouseInterpreter that limits selection to map objects that have been double clicked on, instead of the single click used by default in the super class.

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.event.StandardMapMouseInterpreter
`StandardMapMouseInterpreter.GeometryOfInterest, StandardMapMouseInterpreter.MouseTimerListener`

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.event.StandardMapMouseInterpreter
`active, clickInterest, consumeEvents, currentMouseEvent, DEBUG, grp, lastToolTip, layer, mouseModeServiceList, mouseTimer, mouseTimerInterval, mouseTimerListener, movementInterest, noTimerOverOMGraphic`

Constructor Summary
`DBLClickSelectMapMouseInterpreter()` The OMGraphicLayer should be set at some point before use.
`DBLClickSelectMapMouseInterpreter(OMGraphicHandlerLayer l)` The standard constructor.

Method Summary
`boolean` | `leftClick(OMGraphic omg, java.awt.event.MouseEvent e)` Handle a left-click on an OMGraphic.
`boolean` | `mousePressed(java.awt.event.MouseEvent e)` Invoked when a mouse button has been pressed on a component.

Methods inherited from class com.bbn.openmap.omGraphics.event.StandardMapMouseInterpreter
`deselect, displayPopup, getClickInterest, getConsumeEvents, getCurrentMouseEvent, getGeometryUnder, getGRP, getLayer, getMouseModeServiceList, getMouseTimerInterval, getMovementInterest, getNoTimerOverOMGraphic, handleInfoLine, handleToolTip, isActive, isLeftMouseButton, leftClick, leftClickOff, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mouseNotOver, mouseOver, mouseOver, mouseReleased, rightClick, rightClick, rightClickOff, select, setActive, setClickInterest, setClickInterestFromMouseEvent, setConsumeEvents, setCurrentMouseEvent, setGRP, setLayer, setMouseModeServiceList, setMouseTimerInterval, setMovementInterest, setNoTimerOverOMGraphic, testForAndHandlePopupTrigger, updateMouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBLClickSelectMapMouseInterpreter

    public DBLClickSelectMapMouseInterpreter()

  The OMGraphicLayer should be set at some point before use.

### DBLClickSelectMapMouseInterpreter

    public DBLClickSelectMapMouseInterpreter(OMGraphicHandlerLayer l)

  The standard constructor.

Method Detail

### mousePressed

    public boolean mousePressed(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `MapMouseListener`
  Overrides:
    `mousePressed` in class `StandardMapMouseInterpreter`
  Parameters:
    `e` - MouseEvent
  Returns:
    false if nothing was pressed over, or the consumeEvents setting if something was.

### leftClick

    public boolean leftClick(OMGraphic omg,
                             java.awt.event.MouseEvent e)

  Handle a left-click on an OMGraphic. Does nothing by default.

  Specified by:
    `leftClick` in interface `MapMouseInterpreter`
  Overrides:
    `leftClick` in class `StandardMapMouseInterpreter`
  Returns:
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details